Update Network
Update an existing network on a site.
Update an existing network on a site.
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/networks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "management": "string", "name": "Default Network", "enabled": true, "vlanId": 1 }'{ "management": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "Default Network", "enabled": true, "vlanId": 1, "metadata": { "origin": "string" }, "dhcpGuarding": { "trustedDhcpServerIpAddresses": [ "string" ] }, "default": true}List Networks GET
Retrieve a paginated list of all Networks on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`management`|`STRING`|`eq` `ne` `in` `notIn`| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`enabled`|`BOOLEAN`|`eq` `ne`| |`vlanId`|`INTEGER`|`eq` `ne` `gt` `ge` `lt` `le` `in` `notIn`| |`deviceId`|`UUID`|`eq` `ne` `in` `notIn` `isNull` `isNotNull`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>
List Local Sites GET
Retrieve a paginated list of local sites managed by this Network application. Site ID is required for other UniFi Network API calls. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`internalReference`|`STRING`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn`| </details>